This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 879593 - vmwrite error: reg 401e value a025e000 (err 12)
vmwrite error: reg 401e value a025e000 (err 12)
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
16
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-23 07:07 EST by Dimitar Pashev
Modified: 2013-01-09 07:11 EST (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-27 07:12:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dimitar Pashev 2012-11-23 07:07:45 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Dimitar Pashev 2012-11-23 07:12:23 EST
Nov 23 00:15:30 s5000pal kernel: [  132.186692] vmwrite error: reg 401e value a025e000 (err 12)
Nov 23 00:15:30 s5000pal kernel: [  132.186699] Pid: 3422, comm: qemu:XXX Not tainted 3.6.6-1.fc16.x86_64 #1
Nov 23 00:15:30 s5000pal kernel: [  132.186701] Call Trace:
Nov 23 00:15:30 s5000pal kernel: [  132.186722]  [<ffffffffa024e0d0>] vmwrite_error+0x2c/0x2e [kvm_intel]
Nov 23 00:15:30 s5000pal kernel: [  132.186727]  [<ffffffffa02437a0>] vmcs_writel+0x20/0x30 [kvm_intel]
Nov 23 00:15:30 s5000pal kernel: [  132.186732]  [<ffffffffa0244f19>] vmx_cpuid_update+0x79/0x160 [kvm_intel]
Nov 23 00:15:30 s5000pal kernel: [  132.186756]  [<ffffffffa01f6799>] kvm_vcpu_ioctl_set_cpuid2+0x99/0xb0 [kvm]
Nov 23 00:15:30 s5000pal kernel: [  132.186768]  [<ffffffffa01d7ba8>] kvm_arch_vcpu_ioctl+0x9b8/0x1030 [kvm]
Nov 23 00:15:30 s5000pal kernel: [  132.186774]  [<ffffffff81162cac>] ? __vunmap+0x9c/0x110
Nov 23 00:15:30 s5000pal kernel: [  132.186779]  [<ffffffffa0247ade>] ? vmx_vcpu_load+0x3e/0x1c0 [kvm_intel]
Nov 23 00:15:30 s5000pal kernel: [  132.186783]  [<ffffffffa0243726>] ? vmx_compute_tsc_offset+0x16/0x30 [kvm_intel]
Nov 23 00:15:30 s5000pal kernel: [  132.186787]  [<ffffffffa02437fa>] ? vmx_write_tsc_offset+0x4a/0x50 [kvm_intel]
Nov 23 00:15:30 s5000pal kernel: [  132.186799]  [<ffffffffa01d717a>] ? kvm_arch_vcpu_load+0x13a/0x1b0 [kvm]
Nov 23 00:15:30 s5000pal kernel: [  132.186807]  [<ffffffffa01c3f3e>] kvm_vcpu_ioctl+0xae/0x6b0 [kvm]
Nov 23 00:15:30 s5000pal kernel: [  132.186819]  [<ffffffffa01d6f0e>] ? kvm_arch_dev_ioctl+0x6e/0x1a0 [kvm]
Nov 23 00:15:30 s5000pal kernel: [  132.186827]  [<ffffffffa01c4b66>] ? kvm_dev_ioctl+0x56/0x4c0 [kvm]
Nov 23 00:15:30 s5000pal kernel: [  132.186832]  [<ffffffff8119fd58>] do_vfs_ioctl+0x98/0x550
Nov 23 00:15:30 s5000pal kernel: [  132.186837]  [<ffffffff81280e90>] ? inode_has_perm.constprop.29+0x30/0x40
Nov 23 00:15:30 s5000pal kernel: [  132.186840]  [<ffffffff81282ee2>] ? file_has_perm+0x92/0xa0
Nov 23 00:15:30 s5000pal kernel: [  132.186843]  [<ffffffff811a02a1>] sys_ioctl+0x91/0xa0
Nov 23 00:15:30 s5000pal kernel: [  132.186848]  [<ffffffff816218a9>] system_call_fastpath+0x16/0x1b
Nov 23 00:15:30 s5000pal kernel: [  132.187237] kvm: SMP vm created on host with unstable TSC; guest TSC will not be reliable
Comment 2 Dimitar Pashev 2012-11-23 07:19:56 EST
qemu-kvm command line
-------------------------
/usr/bin/qemu-kvm -S -M pc-0.14 -enable-kvm -m 1600 -smp 4,sockets=1,cores=2,threads=2 -name XXX,process=qemu:XXX -uuid 45d5d35c-8059-3cf2-492a-11001a7f4eca -nodefconfig -nodefaults -chardev socket,id=charmonitor,path=/var/lib/libvirt/qemu/XXX.monitor,server,nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc base=localtime -drive file=/var/lib/libvirt/images/virtio-win-0.1-30.iso,if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=raw -device ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0 -drive file=/dev/VolGroup2/XXX,if=none,id=drive-virtio-disk0,format=raw,aio=native -device virtio-blk-pci,bus=pci.0,addr=0x5,drive=drive-virtio-disk0,id=virtio-disk0,bootindex=1 -netdev tap,fd=27,id=hostnet0,vhost=on,vhostfd=28 -device virtio-net-pci,netdev=hostnet0,id=net0,mac=52:54:00:25:00:44,bus=pci.0,addr=0x3 -chardev pty,id=charserial0 -device isa-serial,chardev=charserial0,id=serial0 -usb -device usb-tablet,id=input0 -vnc 127.0.0.1:0 -vga std -device intel-hda,id=sound0,bus=pci.0,addr=0x4 -device hda-duplex,id=sound0-codec0,bus=sound0.0,cad=0 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x6

/proc/cpuinfo
---------------
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 15
model name      : Intel(R) Xeon(R) CPU            5140  @ 2.33GHz
stepping        : 6
microcode       : 0xd2
cpu MHz         : 1998.000
cache size      : 4096 KB
physical id     : 0
siblings        : 2
core id         : 0
cpu cores       : 2
apicid          : 0
initial apicid  : 0
fpu             : yes
fpu_exception   : yes
cpuid level     : 10
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm constant_tsc arch_perfmon pebs bts rep_good nopl aperfmperf pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm dca lahf_lm dtherm tpr_shadow
bogomips        : 4655.38
clflush size    : 64
cache_alignment : 64
address sizes   : 36 bits physical, 48 bits virtual
power management:
Comment 4 Paolo Bonzini 2012-11-27 07:12:07 EST
The fix will come in via the 3.6.8 kernel update.

Note You need to log in before you can comment on or make changes to this bug.